# 工作记录

1. 定制商城前端下单提示错误
后端上传接口被注释掉了

## 订单详情价格supplyName
## 新增取消订单状态


## 2022-11-28

1. 同步取消和完成订单，订单中的商品状态
2. 清理过时服务
3. 添加颜色链接
4. 测试供应链端
   1. 新增商品默认上架状态
   2. 上下架商品调用update接口
5. 测试客户端
   1. 客户端反馈上架后，上架时间未更新

## 数据库迁移 [https://github.com/golang-migrate/migrate]

> 脚本文件文档 [https://www.mongodb.com/docs/manual/reference/command/]

1. comm.AppMongoMiration()函数，main中调用 // userCenter
2. docker-compose.yaml中配置环境变量 // pack-3dshow [alpha分支]
    MONGO_MIGRATIONS: /data/migrations==mongodb://root:3dshow@3dshow-mongo-alpha:27017/customer-user?authSource=admin  
    volumes:  
      - ./mongo-migrations/customer:/data/migrations  
3. pack部署包中配置对应迁移文件

   ├── config-service.yaml
   ├── docker-compose.yaml
   ├── mongo-migrations
   │   ├── customer
   │   │   ├── apps.down.json
   │   │   └── apps.up.json
   │   └── supplier
   │       ├── apps.down.json
   │       └── apps.up.json

## 2023-01-03

1. 数据库迁移本地测试、pack-3dshow alpha配置
2. 包装计价项目，新增成本计划表按供应商下载
3. 讨论3dshow2.o需求

## 2023-01-04

1. 测试成本计划表按供应商下载功能
2. oilseal-train，windows本地部署

## 2023-01-05

1. windows添加环境变量，对数据库迁移的支持。
2. 修复数据库迁移问题：
   1. 命名规范文件找不到。
   2. windows环境变量不能生效。
   3. comm中迁移调用错误处理不正确问题。
3. windows下docker离线部署oilseal-train项目

## 2023-01-06

1. 部署文件归档
2. 对3dshow2.0需要完成功能规划

## 2023-01-07

1. 邮箱注册与登录
2. presonlogin@符与邮箱账号冲突
3. loginsucc中的children


## 1月

1. 参与3dshow2.0产品会议。确定功能需求
2. 数据库迁移功能完善和测试
3. 制作oilseal-train,windows本地部署包，交接给该项目组。
4. 用户中心功能的完善：邮箱注册、登录、重置密码
5. 3dshow2.0项目初始化：合并已有接口，完成部分新接口
6. 根据厂商需求完善包装项目：

   1. 按供应商下载、单据提供pdf下载功能
   2. 对应表格添加实际数量，实际金额和汇总金额(单据、计划成本、统计报表)
   3. 统计报表、签字审核功能
   4. 修复发现的bug

## 2月计划

1. 审核用户签字流程：用户可以设置签字账号，上传签字图片。
2. 与前端对接3dshow2.0：修复与原有接口不兼容，修复bug和完善接口
3. 其他项目组需要完成的工作

### 2023-02-08

1. 供应商多个分类
2. 表格的实际金额依赖计价策略计算吗


## 下载供应商所有单据

1. 查询选定计划下的某供应商单据
2. 查询该供应商单据是否全部完成
   1. 已完成根据提交成本数计算
   2. 未全部完成根据实际提交数计算实际金额
3. 重写表格，提供pdf下载

## 多个相同类型工序的处理

1. 包装计价项目，与客户沟通需求，根据确定的需求更改功能
   1. 生产计划业务流程的调整，数据结构调整
   2. 新增成品采购相关接口
   3. 根据调整修改单据表、生产成本表
   4. 与前端对接更改功能，并持续跟进需求进行完善
2. 数之鞋项目与前端对接，调整部分功能。
3. 油封培训项目，制作win7本地包后台系统部署包
4. 调研以图搜图功能
   1. 初步确定towhee+milvus来实现
   2. 部署服务和测试
